# Create new bookmark

| **Description** | Creates a path of type bookmark |
| --------------- | ------------------------------- |
| **Endpoint**    | `/path/bookmark`                |
| **Method**      | POST                            |

### Access Level Rules

| **Minimum Access Level** | edit+ on parent folder or account holder in root. |
| ------------------------ | ------------------------------------------------- |

### Processing Units

| **Processing units** | 1 |
| -------------------- | - |

### Parameters

<table><thead><tr><th>Name</th><th>Description</th><th>Required</th><th>Default</th><th data-hidden>Required</th><th data-hidden>Default</th></tr></thead><tbody><tr><td><code>name</code></td><td>The name of the new bookmark</td><td>true</td><td></td><td>true</td><td></td></tr><tr><td><code>bookmark</code></td><td>A JSON with properties layers and dems.<br><br>Layers should be a list of JSONs containing the properties "type", "id" and "selected". <br><br>Type should be one of "ellipsis", "base" or "external". <br><br>Selected should be boolean. <br><br>Id should be the id of the layer or external layer. In case of type "base" you can choose between id=1 (open street map) and id=2 (google satellite map). <br><br>dems should be a list of JSONs containing the properties "id" and "selected". <br><br>Selected should be boolean. <br><br>Id should be the id of the raster layer.</td><td>true</td><td></td><td></td><td></td></tr><tr><td><code>thumbnail</code></td><td>A thumbnail image as base64.</td><td>false</td><td>Default null.</td><td></td><td></td></tr><tr><td><code>parentId</code></td><td><p>The id of the parent folder of the new path.</p><p>If omitted the new path is placed in your myDrive root.</p></td><td>false</td><td>Default null.</td><td>false</td><td>null</td></tr><tr><td><code>publicAccess</code></td><td><a href="/pages/jWHxOKKaASR2HwgmIQkh">Public access object</a> with properties "hidden" and "accessTier"<br><br>"accessTier" must be between "none" and "edit" and "hidden" must be a boolean.</td><td>false</td><td>Default {accessTier:"none", hidden:true}.</td><td>false</td><td>publicAccessLevel</td></tr><tr><td><code>metadata</code></td><td>A JSON with property "description" with the description of the file.</td><td>false</td><td>Default null.</td><td></td><td></td></tr></tbody></table>

Example request:

```
{
  name: 'test bookmark',
  metadata: { description: 'test description' },
  publicAccess: {hidden:true, accessTier:'view'},
  bookmark: {
    layers: [
      { type: 'ellipsis', id: '78cb1955-2910-4ede-9d21-2c6472d0ba71', selected: true },
      { type: 'base', id: 1, selected: true },
    ],
    dems: [{ id: '085f5e10-63b6-4e8f-a4c6-dce9689100d3', selected: false }],
  },
};

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path-bookmark/create-new-bookmark.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
